System Requirements: COMSOL Multiphysics® Version 5.6

These requirements are common to all platforms:

  • A working network card and internet connection are recommended during installation
  • At least 4 GB of RAM is recommended
  • 2–13 GB of disk space, depending on your licensed products and installation options
  • Adobe® Acrobat® Reader to view and print the COMSOL documentation in PDF format
  • An Intel® or AMD® 64-bit processor based on the Intel® 64 or AMD64 architecture with the SSE4 instruction set. Intel® processors released 2009 or later and AMD® processors released 2012 or later satisfy this requirement.

For further recommendations concerning hardware, please see our Knowledge Base entry.

Operating System Requirements

In addition to the operating system requirements listed below, see the Interfacing Product Suite Requirements for specific requirements for the CAD Import Module, Design Module, and the LiveLink™ products. The system requirements for COMSOL Compiler™ are identical to those for COMSOL Multiphysics®.

Windows® macOS Linux®
64-Bit Operating Systems
  • Windows® 10
  • Windows® 10 Pro for Workstations
  • Windows® 8.1
  • Windows® 7 SP1
  • Windows Server® 2019
  • Windows Server® 2016
  • Windows Server® 2012 R2
  • Windows Server® 2012
  • Windows Server® 2008 R2 SP1
  • Windows HPC Server 2008 R2 SP1
macOS 10.13, 10.14, 10.15, and 11.0
  • Debian® 9, and 10
  • Red Hat® Enterprise Linux® 7.8 and 8.2
  • CentOS 7.8 and 8.2
  • Oracle® Linux® 8.2
  • Ubuntu® 16.04, 18.04, and 20.04
  • SUSE® Linux Enterprise Desktop® 15 SP2
  • OpenSUSE® Leap 15.1 and 15.2

OS-Specific System Requirements

Linux®
  • GNU C Library version 2.17 or later
  • Linux® kernel 3.10 or later
  • FlexNet® License Manager requires Linux Standard Base (LSB™)1

1See FlexNet® License Manager on Linux® below.

Help System on Linux®

In order for the help system to work on Linux® operating systems, the following package needs to be installed:

Operating System Package Name
Debian® 9 and 10 libwebkit2gtk-4.0-37
Ubuntu® 16.04, 18.04, and 20.04 libwebkit2gtk-4.0-37
Red Hat® Enterprise Linux® 7 and CentOS® 7 webkitgtk4
Red Hat® Enterprise Linux® 8, CentOS® 8, and Oracle® Linux 8 webkit2gtk3
SUSE® Linux Enterprise Desktop® 15 SP2 libwebkit2gtk-4_0-37
OpenSUSE® Leap 15.1 and 15.2 libwebkit2gtk-4_0-37

FlexNet® License Manager

The system requirements for the license manager are the same as for COMSOL Multiphysics®. In addition to the Linux® system requirements, the license manager supports Red Hat® Enterprise Linux®  6, SUSE® Linux Enterprise Desktop® 11.4, and Debian® 6 and later. FlexNet® version 11.16.2.1 is used on all platforms. The version of lmgrd must be the same or higher than the FlexNet® version used by the COMSOL® software.

FlexNet® License Manager on Linux®

Linux Standard Base (LSB™) is required for Linux® on the license server computer.

If the LSB™ core package is missing from the distribution repository, manually create a symbolic link as root:

ln -s /lib64/ld-linux-x86-64.so.2 /lib64/ld-lsb-x86-64.so.3

Distribution Required Packages
Debian® lsb-core
Ubuntu® lsb-core
Red Hat® redhat-lsb
SUSE® lsb

Application Builder

The Application Builder is supported in the Windows® operating system.

Add-In for Microsoft® PowerPoint®

The COMSOL add-in for PowerPoint® is compatible with PowerPoint® 2010, 2013, 2016, and 2019 on the Windows® operating system. PowerPoint® 2010 Starter is not supported. If you are using Office 365, PowerPoint® must be installed on the computer — the add-in requires a version of PowerPoint® that supports VSTO add-ins.

Parallel System Requirements

Windows® macOS Linux®
Shared-Memory Parallelism All supported versions of Windows® All supported versions of macOS All supported Linux® distributions
Distributed-Memory Parallelism
  • Windows Server® 20191
  • Windows Server® 20161
  • Windows Server® 2012 R21
  • Windows Server® 20121
  • Windows HPC Server 2008 R2 SP1
Not supported
  • Red Hat® Enterprise Linux® 7.8
  • CentOS 7.8
  • Debian® 9
  • Ubuntu® 16.04 and 18.04

All computers in the cluster must use the same Linux® version and should have similar hardware. It is recommended that OpenFabrics Enterprise Distribution (OFED) 1.5.4.1 or higher is installed. If you are using RDMA-capable network fabrics, a DAPL 1.2 or later version-compliant driver or library is required. The software is usually provided with your hardware.

1Windows HPC Pack for the respective Windows Server version is required.

For information on how you can run COMSOL Multiphysics® and COMSOL Server™ in the cloud, please view this page.

Officially Supported Compilers

COMSOL Multiphysics® provides external C interfaces for external functions, external materials, and external C libraries in the Application Builder.

Windows® macOS Linux®
External C Interfaces Microsoft Visual Studio® 2017 Intel® Parallel Studio XE Composer Edition for C++ macOS 18.5 (also known as Intel® C++ Compiler version 18.0.6) with Apple LLVM version 9.1.0 (clang-902.0.39.2) is officially supported Intel® Parallel Studio XE Composer Edition for C++ Linux® 18.4 (also known as Intel® C++ Compiler version 18.0.5) with GCC 6.5.0 is officially supported
Java® API JDK 1.7 and 1.8 JDK 1.7 or 1.8 JDK 1.7 and 1.8

COMSOL Multiphysics® is built and tested with the above C/C++ compilers. Please note that later versions of those C/C++ compilers may also be compatible with the external C interfaces. When using the COMSOL API for use with Java® API in client/server mode with the jar files listed in <installation dir>/bin/comsolclientpath.txt, JRE 1.7 and JRE 1.8 are supported. When using the COMSOL API for use with Java® API in standalone mode with the jar files listed in <installation dir>/bin/comsolpath.txt, JRE 1.8 is supported.

Graphics System Requirements

COMSOL recommends hardware rendering for performance reasons. Hardware rendering requires drivers that support OpenGL® version 2.0. Windows® operating system users may also use DirectX® version 9 on the local console. Hardware rendering requires at least 24-bit color graphics.

The Optimize for Quality setting in the Graphics preferences requires OpenGL® 2.1. Software rendering also supports 16-bit color graphics. For performance reasons, we recommend that the graphics card has at least 512 MB memory.

AMD®

Windows® 10

Card Model Driver Version
AMD Radeon™ Pro VII 20.Q3
AMD Radeon™ Pro WX 9100 20.Q3
AMD Radeon™ Pro WX 8200 20.Q3
AMD Radeon™ Pro WX 7100 20.Q3
AMD Radeon™ Pro WX 5100 20.Q3
AMD Radeon™ Pro WX 4100 20.Q3
AMD Radeon™ Pro WX 3200 20.Q3
AMD Radeon™ Pro WX 3100 20.Q3
AMD Radeon™ Pro WX 2100 20.Q3

Ubuntu® 20.04

Card Model Driver Version
AMD Radeon™ Pro WX 9100 AMDGPU (Linux® 5.40)
AMD Radeon™ Pro WX 8200 AMDGPU (Linux® 5.40)
AMD Radeon™ Pro WX 7100 AMDGPU (Linux® 5.40)
AMD Radeon™ Pro WX 5100 AMDGPU (Linux® 5.40)
AMD Radeon™ Pro WX 4100 AMDGPU (Linux® 5.40)
AMD Radeon™ Pro WX 3200 AMDGPU (Linux® 5.40)
AMD Radeon™ Pro WX 2100 AMDGPU (Linux® 5.40)

Ubuntu® 18.04

Card Model Driver Version
AMD Radeon™ Pro WX 3100 AMDGPU (Linux® 5.40)

NVIDIA®

Windows® 10

Card Model Driver Version
Quadro® RTX 3000 452.06
Quadro® T1000 452.06
Quadro® P4000 452.06
Quadro® P3200 452.06
Quadro® P2000 452.06
Quadro® P1000 452.06
Quadro® P600 452.06

Windows® 7

Card Model Driver Version
Quadro® P400 452.06

The graphics cards listed above have been rigorously tested for compatibility with the COMSOL Multiphysics® software. Please note, however, that other AMD® or NVIDIA® graphics cards may also be compatible with COMSOL Multiphysics®. Graphics cards that belong to the same model series as one of the cards listed above are more likely to be compatible with COMSOL Multiphysics®.

For hardware acceleration on Linux®, use proprietary drivers from your graphics card vendor, such as NVIDIA®; otherwise, use COMSOL® software rendering. The Nouveau video driver is only supported for software rendering.

Note: This information is provided for your benefit but should not be used as a substitute for your own investigation of the system requirements that may be appropriate for your use of COMSOL® software or other software, given your particular circumstances. Systems and hardware change regularly, which may impact any determination of what system requirements are appropriate for you.

Adobe and Acrobat are either registered trademarks or trademarks of Adobe Systems Incorporated in the United States and/or other countries. AMD, AMD Athlon, FirePro, and Radeon are trademarks or registered trademarks of Advanced Micro Devices, Inc. Debian is a registered trademark of Software in the Public Interest, Inc. in the United States. FlexNet is a registered trademark of Flexera Software LLC. NVIDIA and NVIDIA Quadro is a registered trademark of NVIDIA Corporation in the U.S. and/or other countries. Intel and Pentium are trademarks of Intel Corporation or its subsidiaries in the U.S. and/or other countries. Oracle and Java are registered trademarks of Oracle and/or its affiliates. Red Hat, Red Hat Enterprise Linux, and CentOS are registered trademarks of Red Hat, Inc. Ubuntu is a registered trademark of Canonical Ltd. OpenGL is a trademark or registered trademark of Silicon Graphics, Inc. in the United States and/or other countries worldwide. OpenSUSE and SUSE are registered trademarks of SUSE LLC. Linux, Linux Standard Base, and LSB are trademarks or registered trademarks of Linus Torvalds in the U.S. and other countries. macOS is a trademark of Apple Inc., in the U.S. and other countries. Microsoft, DirectX, PowerPoint, Visual Studio, Windows, and Windows Server are either registered trademarks or trademarks of Microsoft Corporation in the United States and/or other countries. COMSOL AB and its subsidiaries and products are not affiliated with, endorsed by, sponsored by, or supported by these trademark owners.